import request from '@/utils/request'

// 查询spfenlei列表
export function listFenlei(query) {
  return request({
    url: '/system/fenlei/list',
    method: 'get',
    params: query
  })
}

// 查询spfenlei详细
export function getFenlei(id) {
  return request({
    url: '/system/fenlei/' + id,
    method: 'get'
  })
}

// 新增spfenlei
export function addFenlei(data) {
  return request({
    url: '/system/fenlei',
    method: 'post',
    data: data
  })
}

// 修改spfenlei
export function updateFenlei(data) {
  return request({
    url: '/system/fenlei',
    method: 'put',
    data: data
  })
}

// 删除spfenlei
export function delFenlei(id) {
  return request({
    url: '/system/fenlei/' + id,
    method: 'delete'
  })
}
